Bind Running Security Group

Bind Running Security Group
Bind a running security group to spaces

This endpoint binds one or more spaces to a security group with the running lifecycle. Running app containers within these spaces will inherit the rules specified by this security group. Apps within these spaces must be restarted for these changes to take effect. Unless a security group is globally-enabled, an admin must add it to a space for it to be visible for the org and space managers. Once it's visible, org and space managers can add it to additional spaces.

Request
URI
POST
https://api.example.local/v3/security_groups/{guid}/relationships/running_spaces
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Request Body
RelationshipToMany of type(s) application/json
Optional
{
    "data": [
        {
            "guid": "string"
        }
    ]
}
array of object
data
Optional

data

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns RelationshipToMany of type(s) application/json
{
    "data": [
        {
            "guid": "string"
        }
    ]
}
array of object
data
Optional

data


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/v3/security_groups/{guid}/relationships/running_spaces